
QGIS Application - Bug report #18218

Processing: use selected features no more avaiable for GRASS tools?

2018-02-26 09:37 AM - Nelson José Silva

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/GRASS

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26109

Description

In General Options of Processing does not appear the Use Selected Features as in previous versions.

Associated revisions

Revision 3dec1755 - 2018-04-09 02:58 AM - Nyall Dawson

[processing][grass] Allow operation on only selected vector features

Fixes #18218

Revision 5de0bdc9 - 2018-04-09 06:37 AM - Nyall Dawson

[processing][grass] Allow operation on only selected vector features

Fixes #18218

(cherry-picked from 3dec1755)

History

#1 - 2018-02-26 10:21 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to invalid

It's moved - now it's set when running an algorithm.

#2 - 2018-02-26 12:23 PM - Nelson José Silva

Nyall Dawson wrote:

It's moved - now it's set when running an algorithm.

Sorry for the noise. I was using a GRASS tool.
#3 - 2018-03-03 11:28 AM - Giovanni Manghi

- Operating System deleted (Linux)

- Resolution deleted (invalid)

- Priority changed from Normal to High

- Status changed from Closed to Open

- Subject changed from Processing: use selected features to Processing: use selected features no more avaiable for non native tools?

Nyall Dawson wrote:

It's moved - now it's set when running an algorithm.

this option works/ed (up to 2.18) regardless of the provider (including plugins), now this is only available for native tools? if yes (I hope not) then is really a

big problem.

#4 - 2018-03-03 11:32 AM - Giovanni Manghi

- Category changed from Processing/QGIS to Processing/GRASS

- Subject changed from Processing: use selected features no more avaiable for non native tools? to Processing: use selected features no more avaiable 

for GRASS tools?

Giovanni Manghi wrote:

Nyall Dawson wrote:

It's moved - now it's set when running an algorithm.

regardless of the provider (including plugins)

I see now that in vector inputs the option "selected features only" is available for SAGA tools, but not GRASS. Moreover (maybe is a general issue) the

option remain greyed out if the input layer is not the one that shows when the tool dialog opens.~

For GRASS is a matter of changing the description files or the change in the underlying Processing code?

#5 - 2018-03-05 02:24 AM - Nyall Dawson

Moreover (maybe is a general issue) the option remain greyed out if the input layer is not the one that shows when the tool dialog opens.~

That's a separate issue - already fixed

For GRASS is a matter of changing the description files or the change in the underlying Processing code?

Not sure on the internals of the grass provider, but the fix is to change vector layer parameters to vector feature source parameters. It may be a simple

search/replace.

#6 - 2018-03-08 12:44 AM - Giovanni Manghi
- Assignee changed from Victor Olaya to Giovanni Manghi

#7 - 2018-04-09 02:58 AM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|3dec1755b64ee564aca26defdf3aec8b0a416bc4.
